﻿@model IEnumerable<Proyecto_SGPF.Models.Empleados>

@{
    ViewBag.Title = "Index";
}

@Html.Partial("_Menu")
<head>
    <link rel="stylesheet" href="~/Content/StyleSheet1.css" type="text/css">
</head>
<body id="ll">
    <h2>Listado de Empleados</h2>

    <p>
        @Html.ActionLink("Registrar Empleado", "BuscarSucursal", "Empleados")
    </p>

    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th>
                @Html.DisplayName("Apellido Paterno")
            </th>
            <th>
                @Html.DisplayName("Apellido Materno")
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Puesto)
            </th>
            <th>
                @Html.DisplayName("Género")
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Domicilio)
            </th>
            <th>
                @Html.DisplayName("RFC")
            </th>
            <th>
                @Html.DisplayName("Teléfono")
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Email)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Nombre)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ApellidoPaterno)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ApellidoMaterno)
                </td>
                <td>
                    @if (item.Puesto == 0)
                    {
                        <p>Administrador</p>
                    }
                    else if (item.Puesto == 1)
                    {
                        <p>Jefe</p>
                    }
                    else if (item.Puesto == 2)
                    {
                        <p>Pastelero</p>
                    }
                    else if (item.Puesto == 3)
                    {
                        <p>Vendedor</p>
                    }
                    else if (item.Puesto == 4)
                    {
                        <p>Asistente</p>
                    }
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Genero)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Domicilio)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Rfc)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Telefono)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Email)
                </td>
                <td>
                    @Html.ActionLink("Editar", "BuscarSucursalModificacion", new { id = item.IdEmpleado }) |
                    @Html.ActionLink("Detalles", "Details", new { id = item.IdEmpleado }) |
                    @Html.ActionLink("Eliminar", "Delete", new { id = item.IdEmpleado })
                </td>
            </tr>
        }

    </table>
    </body>